Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.View

    java.lang.Object
      |
      +--org.apache.commons.collections.collection.AbstractCollectionDecorator
            |
            +--org.apache.commons.collections.bidimap.AbstractDualBidiMap.View

All Implemented Interfaces:
  Collection

Direct Known Subclasses:
  AbstractDualBidiMap.EntrySet, AbstractDualBidiMap.KeySet, AbstractDualBidiMap.Values

Enclosing class:
  AbstractDualBidiMap

protected abstract static class AbstractDualBidiMap.View
extends AbstractCollectionDecorator

Inner class View.

Field Summary
`protected AbstractDualBidiMap` | `parent` The parent map

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` | `AbstractDualBidiMap.View(Collection coll, AbstractDualBidiMap parent)` Constructs a new view of the BidiMap.

Method Summary
`void` | `clear()`
`boolean` | `removeAll(Collection coll)`
`boolean` | `retainAll(Collection coll)`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

Constructor Detail

### AbstractDualBidiMap.View

    protected AbstractDualBidiMap.View(Collection coll,
                                       AbstractDualBidiMap parent)

  Constructs a new view of the BidiMap.

Parameters:
  `coll` - the collection view being decorated
  `parent` - the parent BidiMap

Method Detail

### removeAll

    public boolean removeAll(Collection coll)

  Specified by:
    `removeAll` in interface `Collection`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(Collection coll)

  Specified by:
    `retainAll` in interface `Collection`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.